> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List filtered hourly prices

> Retrieve hourly price list for a specific market and price zone. It can be filtered to be in a time window.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/market/{market_id}/prices/{price_zone}
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/market/{market_id}/prices/{price_zone}:
    get:
      tags:
        - Prices
      summary: List filtered hourly prices
      description: >-
        Retrieve hourly price list for a specific market and price zone. It can
        be filtered to be in a time window.
      operationId: >-
        integrations_api_api_v2_markets_prices_router_retrieve_filtered_hourly_prices
      parameters:
        - in: path
          name: market_id
          schema:
            enum:
              - EPEX_DA
              - EPEX_ID
            title: MarketId
            type: string
          required: true
        - in: path
          name: price_zone
          schema:
            enum:
              - AT
              - AT_HOURLY
              - BE
              - CH
              - EE
              - DE_LU
              - HU
              - IT_CNOR
              - IT_CSUD
              - IT_NORD
              - IT_PUN
              - IT_SARD
              - IT_SICI
              - IT_SUD
              - PT
              - RO
              - SE_1
              - SE_2
              - SE_3
              - SE_4
              - UK
            title: PriceZone
            type: string
          required: true
        - in: query
          name: from_dt
          schema:
            description: >-
              The lower boundary of the time window that filters the price list,
              in ISO 8601 format, e.g. 2023-10-31T14:30:59
            format: date-time
            title: From Dt
            type: string
          required: false
          description: >-
            The lower boundary of the time window that filters the price list,
            in ISO 8601 format, e.g. 2023-10-31T14:30:59
        - in: query
          name: to_dt
          schema:
            description: >-
              The upper boundary of the time window that filters the price list,
              in ISO 8601 format, e.g. 2023-10-31T14:30:59
            format: date-time
            title: To Dt
            type: string
          required: false
          description: >-
            The upper boundary of the time window that filters the price list,
            in ISO 8601 format, e.g. 2023-10-31T14:30:59
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HourlyPriceOutput'
                title: Response
                type: array
      security:
        - OAuth2: []
components:
  schemas:
    HourlyPriceOutput:
      properties:
        price_zone:
          anyOf:
            - maxLength: 16
              type: string
            - type: 'null'
          default: AT
          title: Price Zone
        timestamp:
          format: date-time
          title: Timestamp
          type: string
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
      required:
        - timestamp
      title: HourlyPriceOutput
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````